package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "主题关联产品 RelTypeEnum")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TopicAttachment {

    @ApiModelProperty(value = " 88:产品 300:课程包 323:线下活动 90:资管人")
    private String type;

    @ApiModelProperty(value = "type=88时 ，0 公募，1 私募，2 白名单，3 私有")
    private String subType;

    @ApiModelProperty(value = "对象详情")
    private TopicAttachmentDetail detail;

}
