package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @Description 用户信息
 * @Author wangyalei
 * @Date 2020/10/20 16:50
 **/
@ApiModel("用户简要信息")
@Data
@Builder
public class SimpleUserInfo {
    @ApiModelProperty("用户id")
    private String id;
    @ApiModelProperty("用户昵称")
    private String uiNickname;
    @ApiModelProperty("用户姓名")
    private String uiUsernameMp;
    @ApiModelProperty("用户头像")
    private String uiHeadimgMp;
    @ApiModelProperty("所属机构Id")
    private String orgId;
    @ApiModelProperty("微信授权手机号")
    private String wxAuthPhone;
    @ApiModelProperty("注册时间")
    private Long uiRegisterTime;
    @ApiModelProperty("用户等级")
    private Integer levelGrade;
    @ApiModelProperty("realname")
    private String realname;
    @ApiModelProperty("注册手机号")
    private String uiTelphone;
}
